Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
await crevio.socials.portal({
redirectUrl: "https://willing-pendant.net",
});
}
run();curl --request POST \
--url https://api.crevio.co/v1/socials/portal \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"redirect_url": "<string>",
"platforms": []
}
'import requests
url = "https://api.crevio.co/v1/socials/portal"
payload = {
"redirect_url": "<string>",
"platforms": []
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({redirect_url: '<string>', platforms: []})
};
fetch('https://api.crevio.co/v1/socials/portal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"errors": {}
}
}Social
Create a hosted connect portal
A hosted multi-account connect portal is not offered; use POST /socials/connect for a per-platform OAuth URL.
POST
/
socials
/
portal
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
await crevio.socials.portal({
redirectUrl: "https://willing-pendant.net",
});
}
run();Authorizations
API key in the format: Bearer {api_token}
Body
application/json
Response
Authentication required
Show child attributes
Show child attributes
Was this page helpful?
⌘I

